PHP Manual
Prev |  | Next

# OCI-Lob->writeTemporary

(no version information, might be only in CVS)

OCI-Lob->writeTemporary -- Writes temporary large object

## Description

class OCI-Lob {
bool writeTemporary ( string data [, int lob_type] )
}

Creates a temporary large object and writes `data` to it.

You should use OCI-Lob->close when you are done with this object.

## Parameters

`data`

  The data to write.

`lob_type`

  Can be one of the following:

  `OCI_TEMP_BLOB` is used to create temporary BLOBs
  `OCI_TEMP_CLOB` (default value) is used to create temporary CLOBs

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

OCI-Lob->close

Prev | Home | Next
OCI-Lob->write | Up | OCI-Lob->writeToFile